addPaths {maigesPack} | R Documentation

## Function to load gene pathways into maigesPreRaw object

### Description

This function read a directory and read files containing the gene pathways in TGF format. This format must have the genes of the pathway sequentially in lines numbered from 1, followed by a '#' character that separate the nodes (given by genes) from edges, that must be specified as number of the origin gene followed by a space, the number of the final gene, another space and the weight of the iteration. This function stores the gene networks read in the slot `Paths` into objects of class `maigesPreRaw`.

### Usage

    addPaths(data, folder="./", ext=".tgf")

### Arguments

`data` | object of `maigesPreRaw` class.
`folder` | char string specifying the directory of gene groups. The function tests the presence or not of the final bar.
`ext` | string giving the extension of the files, defaults to '.tgf'. The function also tests the presence of the initial dot.

### Details

If the `data` object already has gene networks with names equal to some someones that are been read, the nets with repeated names are not added. Warning messages are printed for every repeated group name.

The `folder` directory must contain only one file for each pathway of interest. These files must be done in TGF format, as described into description above. The gene identification are matched with some column from `genemap` (see `loadData`).

### Value

This function return another object of class `maigesPreRaw`, with the slot `Paths` actualised.

### Author(s)

Gustavo H. Esteves <gesteves@vision.ime.usp.br>

### See Also

`maigesPreRaw`, `addGeneGrps`

### Examples

    ## Don't run because you don't have the pathways in a readable folder.
    ## Not run:
    gastro = addPaths(gastro, folder="geneNets", ext="tgf")
    ## End(Not run)

[Package maigesPack version 1.4.0 Index]